#!/bin/bash

CHR='chr17'

#Running methylKit
module load R/3.5.0
Rscript get_unique_methylKit.R ${CHR}

#Fetching sites from DMR results
python get_HMST_sites.py ${CHR} ../${CHR}_WGBS/data/*TES*DMRs_all.csv ../${CHR}_WGBS/data/*TSS*DMRs_all.csv ../${CHR}_WGBS/data/*geneBody*DMRs_all.csv ../${CHR}_WGBS/data/*intergenic*DMRs_all.csv ../${CHR}_WGBS/data/*5dist*DMRs_all.csv

#Creating venn diagram plot, comparing DMR sites of HMST-Seq-Analyzer with differentially methylated sites of methylKit
python compare.py ${CHR} ${CHR}_HMST_sites_common.csv ${CHR}_methylKit_sites.txt
