#!/bin/bash


CHR=$2
TEST_METHOD='Ttest'
DATA_FOLDER=$1

echo ${TEST_METHOD}

# Do the work

/usr/bin/time -p hmst_seq_analyzer prep4plot -F ${CHR}_WGBS -c 0.4999 -ko ${CHR}_WGBS/list_all_filtered_formatted_MRs_KO.txt -wt ${CHR}_WGBS/list_all_filtered_formatted_MRs_WT.txt
echo prep4plot-DONE

/usr/bin/time -p hmst_seq_analyzer plot_all -F ${CHR}_WGBS -reg ${CHR}_WGBS/list_count_allMRs_regions_files.txt -sit ${CHR}_WGBS/list_count_sites_files.txt -cmc ${CHR}_WGBS/counts_DMR_hypo_hyper_imputed_${TEST_METHOD}_5mC.csv -chmc ${CHR}_WGBS/counts_DMR_hypo_hyper_imputed_${TEST_METHOD}_5hmC.csv -aMR ${CHR}_WGBS/list_TSS_genebody_TES_enhancer_allMRs.txt -oMR ${CHR}_WGBS/list_overlapping_MRs.txt
echo plot_all-DONE
