#!/bin/bash


CHR=$2
TEST_METHOD='Ttest'
DATA_FOLDER=$1

echo ${TEST_METHOD}

# Do the work

#/usr/bin/time -p hmst_seq_analyzer prepare_for_DMR_finding -isST 1 -a 2000 -mc1 3 -mc2 3 -mc3 3 -F ${CHR}_WGBS -p 8 -ko ${CHR}_WGBS/list_all_filtered_formatted_MRs_KO.txt -wt ${CHR}_WGBS/list_all_filtered_formatted_MRs_WT.txt
hmst_seq_analyzer prepare_for_DMR_finding -isST 1 -a 2000 -mc1 3 -mc2 3 -mc3 3 -F ${CHR}_WGBS -p 8 -ko ${CHR}_WGBS/list_all_filtered_formatted_MRs_KO.txt -wt ${CHR}_WGBS/list_all_filtered_formatted_MRs_WT.txt
echo prepare_for_DMR_finding-DONE

#/usr/bin/time -p hmst_seq_analyzer DMR_search -T ${TEST_METHOD} -F ${CHR}_WGBS -p 8 -f ${CHR}_WGBS/list_prepared_for_DMR_finding_imputed.txt
hmst_seq_analyzer DMR_search -T ${TEST_METHOD} -F ${CHR}_WGBS -p 8 -f ${CHR}_WGBS/list_prepared_for_DMR_finding_imputed.txt
echo DMR_search-DONE

