#this script is usded to convert mc file to bed format and filter rows with too lower coverage
import pandas as pd
import os

def mc2bed(fl):
  tmp_df=pd.read_csv(fl,sep='\t')
  tmp_df['methy']=list(tmp_df.mc/tmp_df.h)
  tmp_df['chr']= ['chr'+s for s in  tmp_df.assembly.astype(str).to_list()]
  mini_cov=4

  new_df=tmp_df[['chr','position','position','methy','h','strand']]
  new_df2=new_df[new_df.h>=mini_cov]
  fl2=fl.split('/')
  fl2[-1]=fl2[-1].replace('_','.')
  fl3='/'.join(fl2)
  out_fl=fl3+'_minCov'+str(mini_cov)+'.bed'
  #out_fl_bs=os.path.basenames(out_fl).replace('_','.')

  print(out_fl)
  new_df2.to_csv(out_fl,sep='\t',index=False, header=None)



# in_folder='in_data/human/WGBS-data/nature08514/'
# fls=['mc_h1_r1/mc_h1_r1_22','mc_h1_r2/mc_h1_r2_22','mc_imr90_r1/mc_imr90_r1_22','mc_imr90_r2/mc_imr90_r2_22']
# for fl in fls:
#    mc2bed(in_folder + fl)



