#!/bin/bash

echo Demo for WGBS

CHR=$2
TEST_METHOD='Ttest'
DATA_FOLDER=$1

echo ${TEST_METHOD}

# Do the work
/usr/bin/time -p hmst_seq_analyzer gene_annotation -l 200 -xL 1000000 -F ${CHR}_WGBS -hu yes -n no -M 10000 -N 100000 -r in_data/human/hg18.refFlat.txt -g in_data/human/hg18.chrom.sizes.clear.sorted
echo gene_annotation-DONE

/usr/bin/time -p hmst_seq_analyzer data_preprocessing -F ${CHR}_WGBS -z no -m yes -hu yes -n no -c 0.4999 \
	-fko ${DATA_FOLDER}/mc_imr90_r1/mc.imr90.r1.${CHR}_minCov4.bed -fko ${DATA_FOLDER}/mc_imr90_r2/mc.imr90.r2.${CHR}_minCov4.bed \
	-fwt ${DATA_FOLDER}/mc_h1_r1/mc.h1.r1.${CHR}_minCov4.bed -fwt ${DATA_FOLDER}/mc_h1_r2/mc.h1.r2.${CHR}_minCov4.bed -g in_data/human/hg18.chrom.sizes.clear.sorted
echo data_preprocessing-DONE

