import argparse
import os
import glob


def main(folder):
    if not os.path.exists(folder):
        print('***** ERROR in remove_files.py: The folder given does not exist. Exiting *****')
        exit(1)

    if folder[-1] == '/':
        folder = folder[:-1]

    # added by wang
    tmp_f = []
    tmp_f0 = glob.glob(folder + '/*_filtered_formatted_minConsecutive*')
    tmp_f1 = glob.glob(folder + '/*_BGT.bed*')
    tmp_f2 = glob.glob(folder + '/*_MspI.bed*')
    tmp_f3 = glob.glob(folder + '/*_HpaII.bed*')
    tmp_f4 = glob.glob(folder + '/*mC.bed*')
    tmp_f = tmp_f0 + tmp_f1 + tmp_f2 + tmp_f3 + tmp_f4
    if len(tmp_f) > 0:
        tmp_f1 = tmp_f[0]
        if '.gz' not in tmp_f1:
            print("Remove *.bed files \n")
            if len(tmp_f0) > 0:
                os.system('rm ' + folder + '/*_filtered_formatted_minConsecutive*')
            if len(tmp_f1) > 0:
                os.system('rm ' + folder + '/*_BGT.bed')
            if len(tmp_f2) > 0:
                os.system('rm ' + folder + '/*_MspI.bed')
            if len(tmp_f3) > 0:
                os.system('rm ' + folder + '/*_HpaII.bed')
            if len(tmp_f4) > 0:
                os.system('rm ' + folder + '/*mC.bed')
            else:
                print("Remove *.bed.gz files \n")
            if len(tmp_f0) > 0:
                os.system('rm ' + folder + '/*_filtered_formatted_minConsecutive*.gz')
            if len(tmp_f1) > 0:
                os.system('rm ' + folder + '/*_BGT.bed.gz')
            if len(tmp_f2) > 0:
                os.system('rm ' + folder + '/*_MspI.bed.gz')
            if len(tmp_f3) > 0:
                os.system('rm ' + folder + '/*_HpaII.bed.gz')
            if len(tmp_f4) > 0:
                os.system('rm ' + folder + '/*mC.bed.gz')
            else:
                print("No deleting files are found !")

def my_parser(parser):

    required = parser.add_argument_group("Required")
    required.add_argument("-f", "--folderName",
                          required=True,
                          metavar='',
                          help="The name of the folder containing files")
    return parser


def run(args):
    """Calls the main function with the unpacked argument"""
    main(args.folderName)


if __name__ == "__main__":
    args = my_parser(argparse.ArgumentParser('python remove_filtered_formatted.py')).parse_args()

    run(args)
