# -*- coding: utf-8 -*-


"""setup.py: setuptools control."""


from setuptools import setup

with open("readme", "rb") as f:
    long_descr = f.read().decode("utf-8")


setup(
    name = "HMST-Seq-Analyzer",
    packages = [
        "hmst_seq_analyzer",
        "hmst_seq_analyzer.scripts_high",
        "hmst_seq_analyzer.scripts_high.scripts"],
    entry_points = {
        "console_scripts": ['hmst_seq_analyzer = hmst_seq_analyzer.hmst_seq_analyzer:main']
        },
    version = 1.0,
    description = "Python pipeline command line tool for analysing HMST-Seq data",
    long_description = long_descr,
    author = "Sindre Grønmyr",
    author_email = "sindrgr@ifi.uio.no",
    )
